Bug 55479 - XFree86 unable to map pci address of graphics card
XFree86 unable to map pci address of graphics card
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
7.2
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-10-31 18:43 EST by rehbein
Modified: 2007-04-18 12:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-26 06:01:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
XFree86 crash dump (19.24 KB, text/plain)
2001-10-31 18:45 EST, rehbein
no flags Details
XF86Config and XF86Config-4 are attached in one file (16.96 KB, text/plain)
2001-11-01 10:38 EST, rehbein
no flags Details

  None (edit)
Description rehbein 2001-10-31 18:43:57 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.9-6 i586)

Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.startx
2.
3.
	

Actual Results:  Enclosed is the XFree86.0.log

XFree86 Version 4.1.0 (Red Hat Linux release: 4.1.0-3) / X Window System
(protocol Version 11, revision 0, vendor release 6510)
Release Date: 2 June 2001
	If the server is older than 6-12 months, or if your card is
	newer than the above date, look for a newer version before
	reporting problems.  (See http://www.XFree86.Org/FAQ)
Build Operating System: Linux 2.4.7-0.13.1smp i686 [ELF] 
Build Host: stripples.devel.redhat.com
 
Module Loader present
(==) Log file: "/var/log/XFree86.0.log", Time: Thu Nov  1 08:11:56 2001
(==) Using config file: "/etc/X11/XF86Config-4"
Markers: (--) probed, (**) from config file, (==) default setting,
         (++) from command line, (!!) notice, (II) informational,
         (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) ServerLayout "XFree86 Configured"
(**) |-->Screen "Screen0" (0)
(**) |   |-->Monitor "Generic Non-Interlaced SVGA, 1024x768 @ 60 Hz,
800x600 @ 72 Hz"
(**) |   |-->Device "ATI|Radeon Mobility M6 LY"
(**) |-->Input Device "Mouse0"
(**) |-->Input Device "Keyboard0"
(**) Option "XkbLayout" "us"
(**) XKB: layout: "us"
(==) Keyboard: CustomKeycode disabled
(**) FontPath set to "unix/:7100"
(==) RgbPath set to "/usr/X11R6/lib/X11/rgb"
(==) ModulePath set to "/usr/X11R6/lib/modules"
(--) using VT number 7

(WW) Cannot open APM
(II) Module ABI versions:
	XFree86 ANSI C Emulation: 0.1
	XFree86 Video Driver: 0.4
	XFree86 XInput driver : 0.2
	XFree86 Server Extension : 0.1
	XFree86 Font Renderer : 0.2
(II) Loader running on linux
(II) LoadModule: "bitmap"
(II) Loading /usr/X11R6/lib/modules/fonts/libbitmap.a
(II) Module bitmap: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 1.0.0
	Module class: XFree86 Font Renderer
	ABI class: XFree86 Font Renderer, version 0.2
(II) Loading font Bitmap
(II) LoadModule: "pcidata"
(II) Loading /usr/X11R6/lib/modules/libpcidata.a
(II) Module pcidata: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 0.1.0
	ABI class: XFree86 Video Driver, version 0.4
(II) PCI: Probing config type using method 1
(II) PCI: Config type is 1
(II) PCI: stages = 0x03, oldVal1 = 0x8000e9c0, mode1Res1 = 0x80000000
(II) PCI: PCI scan (all values are in hex)
(II) PCI: 00:00:0: chip 8086,3575 card ffff,ffff rev 02 class 06,00,00 hdr
00
(II) PCI: 00:01:0: chip 8086,3576 card 0000,0000 rev 02 class 06,04,00 hdr
01
(II) PCI: 00:1d:0: chip 8086,2482 card 0e11,009c rev 01 class 0c,03,00 hdr
80
(II) PCI: 00:1d:1: chip 8086,2484 card 0e11,009c rev 01 class 0c,03,00 hdr
00
(II) PCI: 00:1e:0: chip 8086,2448 card 0000,0000 rev 41 class 06,04,00 hdr
01
(II) PCI: 00:1f:0: chip 8086,248c card 0000,0000 rev 01 class 06,01,00 hdr
80
(II) PCI: 00:1f:1: chip 8086,248a card 0e11,009c rev 01 class 01,01,8a hdr
00
(II) PCI: 00:1f:3: chip 8086,2483 card 0e11,009c rev 01 class 0c,05,00 hdr
00
(II) PCI: 00:1f:5: chip 8086,2485 card 0e11,005c rev 01 class 04,01,00 hdr
00
(II) PCI: 01:00:0: chip 1002,4c59 card 0e11,b11b rev 00 class 03,00,00 hdr
00
(II) PCI: 02:04:0: chip 14f1,2f00 card 0e11,8d88 rev 01 class 07,80,00 hdr
00
(II) PCI: 02:05:0: chip 104c,8023 card 0e11,b1b1 rev 00 class 0c,00,10 hdr
00
(II) PCI: 02:06:0: chip 104c,ac50 card 3400,0000 rev 01 class 06,07,00 hdr
02
(II) PCI: 02:08:0: chip 8086,1031 card 0e11,0093 rev 41 class 02,00,00 hdr
00
(II) PCI: End of PCI scan
(II) LoadModule: "scanpci"
(II) Loading /usr/X11R6/lib/modules/libscanpci.a
(II) Module scanpci: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 0.1.0
	ABI class: XFree86 Video Driver, version 0.4
(II) UnloadModule: "scanpci"
(II) Unloading /usr/X11R6/lib/modules/libscanpci.a
(II) Host-to-PCI bridge:
(II) PCI-to-ISA bridge:
(II) PCI-to-PCI bridge:
(II) PCI-to-PCI bridge:
(II) Bus 0: bridge is at (0:0:0), (-1,0,0), BCTRL: 0x08 (VGA_EN is set)
(II) Bus 0 I/O range:
	[0] -1	0x00000000 - 0x0000ffff (0x10000) IX[B]
(II) Bus 0 non-prefetchable memory range:
	[0] -1	0x00000000 - 0xffffffff (0x0) MX[B]
(II) Bus 0 prefetchable memory range:
	[0] -1	0x00000000 - 0xffffffff (0x0) MX[B]
(II) Bus 1: bridge is at (0:1:0), (0,1,1), BCTRL: 0x0c (VGA_EN is set)
(II) Bus 1 I/O range:
	[0] -1	0x00002000 - 0x000020ff (0x100) IX[B]
	[1] -1	0x00002400 - 0x000024ff (0x100) IX[B]
	[2] -1	0x00002800 - 0x000028ff (0x100) IX[B]
	[3] -1	0x00002c00 - 0x00002cff (0x100) IX[B]
(II) Bus 1 non-prefetchable memory range:
	[0] -1	0xd0100000 - 0xd01fffff (0x100000) MX[B]
(II) Bus 1 prefetchable memory range:
	[0] -1	0xd8000000 - 0xdfffffff (0x8000000) MX[B]
(II) Bus 2: bridge is at (0:30:0), (0,2,2), BCTRL: 0x04 (VGA_EN is cleared)
(II) Bus 2 I/O range:
	[0] -1	0x00003000 - 0x000030ff (0x100) IX[B]
	[1] -1	0x00003400 - 0x000034ff (0x100) IX[B]
	[2] -1	0x00003800 - 0x000038ff (0x100) IX[B]
	[3] -1	0x00003c00 - 0x00003cff (0x100) IX[B]
(II) Bus 2 non-prefetchable memory range:
	[0] -1	0xd0200000 - 0xd02fffff (0x100000) MX[B]
(II) Bus 2 prefetchable memory range:
(II) Bus -1: bridge is at (0:31:0), (0,-1,0), BCTRL: 0x08 (VGA_EN is set)
(II) Bus -1 I/O range:
(II) Bus -1 non-prefetchable memory range:
(II) Bus -1 prefetchable memory range:
(--) PCI:*(1:0:0) ATI Radeon Mobility M6 LW rev 0, Mem @ 0xd8000000/27,
0xd0100000/16, I/O @ 0x2000/8
(II) Addressable bus resource ranges are
	[0] -1	0x00000000 - 0xffffffff (0x0) MX[B]
	[1] -1	0x00000000 - 0x0000ffff (0x10000) IX[B]
(II) OS-reported resource ranges:
	[0] -1	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[1] -1	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[2] -1	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[3] -1	0x000c0000 - 0x000effff (0x30000) MX[B]
	[4] -1	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[5] -1	0x0000ffff - 0x0000ffff (0x1)IX[B]
	[6] -1	0x00000000 - 0x000000ff (0x100) IX[B]
(II) Active PCI resource ranges:
	[0] -1	0xd0200000 - 0xd0200fff (0x1000) MX[B]
	[1] -1	0xd0204000 - 0xd0207fff (0x4000) MX[B]
	[2] -1	0xd0201000 - 0xd02017ff (0x800) MX[B]
	[3] -1	0x10000000 - 0x100003ff (0x400) MX[B]
	[4] -1	0xe0000000 - 0xefffffff (0x10000000) MX[B]
	[5] -1	0xd0100000 - 0xd010ffff (0x10000) MX[B](B)
	[6] -1	0xd8000000 - 0xdfffffff (0x8000000) MX[B](B)
	[7] -1	0x00003000 - 0x0000303f (0x40) IX[B]
	[8] -1	0x00001820 - 0x0000183f (0x20) IX[B]
	[9] -1	0x00001800 - 0x0000180f (0x10) IX[B]
	[10] -1	0x00000374 - 0x00000374 (0x1) IX[B]
	[11] -1	0x00000170 - 0x00000177 (0x8) IX[B]
	[12] -1	0x000003f4 - 0x000003f4 (0x1) IX[B]
	[13] -1	0x000001f0 - 0x000001f7 (0x8) IX[B]
	[14] -1	0x00001860 - 0x0000187f (0x20) IX[B]
	[15] -1	0x00001840 - 0x0000185f (0x20) IX[B]
	[16] -1	0x00002000 - 0x000020ff (0x100) IX[B](B)
(II) Inactive PCI resource ranges:
	[0] -1	0xd0210000 - 0xd021ffff (0x10000) MX[B]
	[1] -1	0x00003040 - 0x00003047 (0x8) IX[B]
	[2] -1	0x00001880 - 0x000018bf (0x40) IX[B]
	[3] -1	0x00001c00 - 0x00001cff (0x100) IX[B]
(II) Active PCI resource ranges after removing overlaps:
	[0] -1	0xd0200000 - 0xd0200fff (0x1000) MX[B]
	[1] -1	0xd0204000 - 0xd0207fff (0x4000) MX[B]
	[2] -1	0xd0201000 - 0xd02017ff (0x800) MX[B]
	[3] -1	0x10000000 - 0x100003ff (0x400) MX[B]
	[4] -1	0xe0000000 - 0xefffffff (0x10000000) MX[B]
	[5] -1	0xd0100000 - 0xd010ffff (0x10000) MX[B](B)
	[6] -1	0xd8000000 - 0xdfffffff (0x8000000) MX[B](B)
	[7] -1	0x00003000 - 0x0000303f (0x40) IX[B]
	[8] -1	0x00001820 - 0x0000183f (0x20) IX[B]
	[9] -1	0x00001800 - 0x0000180f (0x10) IX[B]
	[10] -1	0x00000374 - 0x00000374 (0x1) IX[B]
	[11] -1	0x00000170 - 0x00000177 (0x8) IX[B]
	[12] -1	0x000003f4 - 0x000003f4 (0x1) IX[B]
	[13] -1	0x000001f0 - 0x000001f7 (0x8) IX[B]
	[14] -1	0x00001860 - 0x0000187f (0x20) IX[B]
	[15] -1	0x00001840 - 0x0000185f (0x20) IX[B]
	[16] -1	0x00002000 - 0x000020ff (0x100) IX[B](B)
(II) Inactive PCI resource ranges after removing overlaps:
	[0] -1	0xd0210000 - 0xd021ffff (0x10000) MX[B]
	[1] -1	0x00003040 - 0x00003047 (0x8) IX[B]
	[2] -1	0x00001880 - 0x000018bf (0x40) IX[B]
	[3] -1	0x00001c00 - 0x00001cff (0x100) IX[B]
(II) OS-reported resource ranges after removing overlaps with PCI:
	[0] -1	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[1] -1	0x00100000 - 0x0fffffff (0xff00000) MX[B]E(B)
	[2] -1	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[3] -1	0x000c0000 - 0x000effff (0x30000) MX[B]
	[4] -1	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[5] -1	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[6] -1	0x00000000 - 0x000000ff (0x100) IX[B]
(II) All system resource ranges:
	[0] -1	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[1] -1	0x00100000 - 0x0fffffff (0xff00000) MX[B]E(B)
	[2] -1	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[3] -1	0x000c0000 - 0x000effff (0x30000) MX[B]
	[4] -1	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[5] -1	0xd0200000 - 0xd0200fff (0x1000) MX[B]
	[6] -1	0xd0204000 - 0xd0207fff (0x4000) MX[B]
	[7] -1	0xd0201000 - 0xd02017ff (0x800) MX[B]
	[8] -1	0x10000000 - 0x100003ff (0x400) MX[B]
	[9] -1	0xe0000000 - 0xefffffff (0x10000000) MX[B]
	[10] -1	0xd0100000 - 0xd010ffff (0x10000) MX[B](B)
	[11] -1	0xd8000000 - 0xdfffffff (0x8000000) MX[B](B)
	[12] -1	0xd0210000 - 0xd021ffff (0x10000) MX[B]
	[13] -1	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[14] -1	0x00000000 - 0x000000ff (0x100) IX[B]
	[15] -1	0x00003000 - 0x0000303f (0x40) IX[B]
	[16] -1	0x00001820 - 0x0000183f (0x20) IX[B]
	[17] -1	0x00001800 - 0x0000180f (0x10) IX[B]
	[18] -1	0x00000374 - 0x00000374 (0x1) IX[B]
	[19] -1	0x00000170 - 0x00000177 (0x8) IX[B]
	[20] -1	0x000003f4 - 0x000003f4 (0x1) IX[B]
	[21] -1	0x000001f0 - 0x000001f7 (0x8) IX[B]
	[22] -1	0x00001860 - 0x0000187f (0x20) IX[B]
	[23] -1	0x00001840 - 0x0000185f (0x20) IX[B]
	[24] -1	0x00002000 - 0x000020ff (0x100) IX[B](B)
	[25] -1	0x00003040 - 0x00003047 (0x8) IX[B]
	[26] -1	0x00001880 - 0x000018bf (0x40) IX[B]
	[27] -1	0x00001c00 - 0x00001cff (0x100) IX[B]
(II) LoadModule: "dbe"
(II) Loading /usr/X11R6/lib/modules/extensions/libdbe.a
(II) Module dbe: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 1.0.0
	Module class: XFree86 Server Extension
	ABI class: XFree86 Server Extension, version 0.1
(II) Loading extension DOUBLE-BUFFER
(II) LoadModule: "GLcore"
(II) Loading /usr/X11R6/lib/modules/extensions/libGLcore.a
(II) Module GLcore: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 1.0.0
	ABI class: XFree86 Server Extension, version 0.1
(II) LoadModule: "dri"
(II) Loading /usr/X11R6/lib/modules/extensions/libdri.a
(II) Module dri: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 1.0.0
	ABI class: XFree86 Server Extension, version 0.1
(II) Loading sub module "drm"
(II) LoadModule: "drm"
(II) Loading /usr/X11R6/lib/modules/linux/libdrm.a
(II) Module drm: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 1.0.0
	ABI class: XFree86 Server Extension, version 0.1
(II) Loading extension XFree86-DRI
(II) LoadModule: "glx"
(II) Loading /usr/X11R6/lib/modules/extensions/libglx.a
(II) Module glx: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 1.0.0
	ABI class: XFree86 Server Extension, version 0.1
(II) Loading sub module "GLcore"
(II) LoadModule: "GLcore"
(II) Reloading /usr/X11R6/lib/modules/extensions/libGLcore.a
(II) Loading extension GLX
(II) LoadModule: "extmod"
(II) Loading /usr/X11R6/lib/modules/extensions/libextmod.a
(II) Module extmod: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 1.0.0
	Module class: XFree86 Server Extension
	ABI class: XFree86 Server Extension, version 0.1
(II) Loading extension SHAPE
(II) Loading extension MIT-SUNDRY-NONSTANDARD
(II) Loading extension BIG-REQUESTS
(II) Loading extension SYNC
(II) Loading extension MIT-SCREEN-SAVER
(II) Loading extension XC-MISC
(II) Loading extension XFree86-VidModeExtension
(II) Loading extension XFree86-Misc
(II) Loading extension XFree86-DGA
(II) Loading extension DPMS
(II) Loading extension FontCache
(II) Loading extension TOG-CUP
(II) Loading extension Extended-Visual-Information
(II) Loading extension XVideo
(II) Loading extension XVideo-MotionCompensation
(II) LoadModule: "v4l"
(II) Loading /usr/X11R6/lib/modules/drivers/linux/v4l_drv.o
(II) Module v4l: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 0.0.1
	ABI class: XFree86 Video Driver, version 0.4
(II) LoadModule: "radeon"
(II) Loading /usr/X11R6/lib/modules/drivers/radeon_drv.o
(II) Module radeon: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 4.0.1
	Module class: XFree86 Video Driver
	ABI class: XFree86 Video Driver, version 0.4
(II) LoadModule: "ati"
(II) Loading /usr/X11R6/lib/modules/drivers/ati_drv.o
(II) Module ati: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 6.3.6
	Module class: XFree86 Video Driver
	ABI class: XFree86 Video Driver, version 0.4
(II) LoadModule: "mouse"
(II) Loading /usr/X11R6/lib/modules/input/mouse_drv.o
(II) Module mouse: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 1.0.0
	Module class: XFree86 XInput Driver
	ABI class: XFree86 XInput driver, version 0.2
(II) v4l driver for Video4Linux
(II) ATI: ATI driver (version 6.3.6) for chipsets: ati, ativga
(II) R128: Driver for ATI Rage 128 chipsets: ATI Rage 128 RE (PCI),
	ATI Rage 128 RF (AGP), ATI Rage 128 RG (AGP), ATI Rage 128 RK (PCI),
	ATI Rage 128 RL (AGP), ATI Rage 128 SM (AGP),
	ATI Rage 128 Pro PD (PCI), ATI Rage 128 Pro PF (AGP),
	ATI Rage 128 Pro ULTRA TF (AGP), ATI Rage 128 Pro ULTRA TL (AGP),
	ATI Rage 128 Pro ULTRA TR (AGP), ATI Rage 128 Mobility LE (PCI),
	ATI Rage 128 Mobility LF (AGP), ATI Rage 128 Mobility MF (AGP),
	ATI Rage 128 Mobility ML (AGP)
(II) RADEON: Driver for ATI Radeon chipsets: ATI Radeon QD (AGP),
	ATI Radeon QE (AGP), ATI Radeon QF (AGP), ATI Radeon QG (AGP),
	ATI Radeon VE QY (AGP), ATI Radeon VE QZ (AGP),
	ATI Radeon Mobility LW (AGP), ATI Radeon Mobility LY (AGP),
	ATI Radeon Mobility LZ (AGP)
(II) Primary Device is: PCI 01:00:0
(--) Assigning device section with no busID to primary device
(--) Chipset ATI Radeon Mobility LY (AGP) found
(II) resource ranges after xf86ClaimFixedResources() call:
	[0] -1	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[1] -1	0x00100000 - 0x0fffffff (0xff00000) MX[B]E(B)
	[2] -1	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[3] -1	0x000c0000 - 0x000effff (0x30000) MX[B]
	[4] -1	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[5] -1	0xd0200000 - 0xd0200fff (0x1000) MX[B]
	[6] -1	0xd0204000 - 0xd0207fff (0x4000) MX[B]
	[7] -1	0xd0201000 - 0xd02017ff (0x800) MX[B]
	[8] -1	0x10000000 - 0x100003ff (0x400) MX[B]
	[9] -1	0xe0000000 - 0xefffffff (0x10000000) MX[B]
	[10] -1	0xd0100000 - 0xd010ffff (0x10000) MX[B](B)
	[11] -1	0xd8000000 - 0xdfffffff (0x8000000) MX[B](B)
	[12] -1	0xd0210000 - 0xd021ffff (0x10000) MX[B]
	[13] -1	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[14] -1	0x00000000 - 0x000000ff (0x100) IX[B]
	[15] -1	0x00003000 - 0x0000303f (0x40) IX[B]
	[16] -1	0x00001820 - 0x0000183f (0x20) IX[B]
	[17] -1	0x00001800 - 0x0000180f (0x10) IX[B]
	[18] -1	0x00000374 - 0x00000374 (0x1) IX[B]
	[19] -1	0x00000170 - 0x00000177 (0x8) IX[B]
	[20] -1	0x000003f4 - 0x000003f4 (0x1) IX[B]
	[21] -1	0x000001f0 - 0x000001f7 (0x8) IX[B]
	[22] -1	0x00001860 - 0x0000187f (0x20) IX[B]
	[23] -1	0x00001840 - 0x0000185f (0x20) IX[B]
	[24] -1	0x00002000 - 0x000020ff (0x100) IX[B](B)
	[25] -1	0x00003040 - 0x00003047 (0x8) IX[B]
	[26] -1	0x00001880 - 0x000018bf (0x40) IX[B]
	[27] -1	0x00001c00 - 0x00001cff (0x100) IX[B]
(II) Loading sub module "radeon"
(II) LoadModule: "radeon"
(II) Reloading /usr/X11R6/lib/modules/drivers/radeon_drv.o
(II) resource ranges after probing:
	[0] -1	0xffe00000 - 0xffffffff (0x200000) MX[B](B)
	[1] -1	0x00100000 - 0x0fffffff (0xff00000) MX[B]E(B)
	[2] -1	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[3] -1	0x000c0000 - 0x000effff (0x30000) MX[B]
	[4] -1	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[5] -1	0xd0200000 - 0xd0200fff (0x1000) MX[B]
	[6] -1	0xd0204000 - 0xd0207fff (0x4000) MX[B]
	[7] -1	0xd0201000 - 0xd02017ff (0x800) MX[B]
	[8] -1	0x10000000 - 0x100003ff (0x400) MX[B]
	[9] -1	0xe0000000 - 0xefffffff (0x10000000) MX[B]
	[10] -1	0xd0100000 - 0xd010ffff (0x10000) MX[B](B)
	[11] -1	0xd8000000 - 0xdfffffff (0x8000000) MX[B](B)
	[12] -1	0xd0210000 - 0xd021ffff (0x10000) MX[B]
	[13] 0	0x000a0000 - 0x000affff (0x10000) MS[B]
	[14] 0	0x000b0000 - 0x000b7fff (0x8000) MS[B]
	[15] 0	0x000b8000 - 0x000bffff (0x8000) MS[B]
	[16] -1	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[17] -1	0x00000000 - 0x000000ff (0x100) IX[B]
	[18] -1	0x00003000 - 0x0000303f (0x40) IX[B]
	[19] -1	0x00001820 - 0x0000183f (0x20) IX[B]
	[20] -1	0x00001800 - 0x0000180f (0x10) IX[B]
	[21] -1	0x00000374 - 0x00000374 (0x1) IX[B]
	[22] -1	0x00000170 - 0x00000177 (0x8) IX[B]
	[23] -1	0x000003f4 - 0x000003f4 (0x1) IX[B]
	[24] -1	0x000001f0 - 0x000001f7 (0x8) IX[B]
	[25] -1	0x00001860 - 0x0000187f (0x20) IX[B]
	[26] -1	0x00001840 - 0x0000185f (0x20) IX[B]
	[27] -1	0x00002000 - 0x000020ff (0x100) IX[B](B)
	[28] -1	0x00003040 - 0x00003047 (0x8) IX[B]
	[29] -1	0x00001880 - 0x000018bf (0x40) IX[B]
	[30] -1	0x00001c00 - 0x00001cff (0x100) IX[B]
	[31] 0	0x000003b0 - 0x000003bb (0xc) IS[B]
	[32] 0	0x000003c0 - 0x000003df (0x20) IS[B]
(II) Setting vga for screen 0.
(II) Loading sub module "vgahw"
(II) LoadModule: "vgahw"
(II) Loading /usr/X11R6/lib/modules/libvgahw.a
(II) Module vgahw: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 0.1.0
	ABI class: XFree86 Video Driver, version 0.4
(II) RADEON(0): PCI bus 1 card 0 func 0
(**) RADEON(0): Depth 16, (--) framebuffer bpp 16
(II) RADEON(0): Pixel depth = 16 bits stored in 2 bytes (16 bpp pixmaps)
(==) RADEON(0): Default visual is TrueColor
(==) RADEON(0): RGB weight 565
(II) RADEON(0): Using 6 bits per RGB (8 bit DAC)
(II) Loading sub module "int10"
(II) LoadModule: "int10"
(II) Loading /usr/X11R6/lib/modules/linux/libint10.a
(II) Module int10: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 1.0.0
	ABI class: XFree86 Video Driver, version 0.4
(II) RADEON(0): initializing int10
(II) RADEON(0): Primary V_BIOS segment is: 0xc000
(--) RADEON(0): Chipset: "ATI Radeon Mobility LY (AGP)" (ChipID = 0x4c59)
(--) RADEON(0): Linear framebuffer at 0xd8000000
(--) RADEON(0): MMIO registers at 0xd0100000
(--) RADEON(0): VideoRAM: 0 kByte (64-bit DDR SDRAM)
(II) RADEON(0): Primary Display == Type 2
(II) Loading sub module "ddc"
(II) LoadModule: "ddc"
(II) Loading /usr/X11R6/lib/modules/libddc.a
(II) Module ddc: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 1.0.0
	ABI class: XFree86 Video Driver, version 0.4
(II) Loading sub module "i2c"
(II) LoadModule: "i2c"
(II) Loading /usr/X11R6/lib/modules/libi2c.a
(II) Module i2c: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 1.2.0
	ABI class: XFree86 Video Driver, version 0.4
(II) Loading sub module "vbe"
(II) LoadModule: "vbe"
(II) Loading /usr/X11R6/lib/modules/libvbe.a
(II) Module vbe: vendor="The XFree86 Project"
	compiled for 4.1.0, module version = 1.0.0
	ABI class: XFree86 Video Driver, version 0.4
(II) RADEON(0): VESA BIOS detected
(II) RADEON(0): VESA VBE Version 2.0
(II) RADEON(0): VESA VBE Total Mem: 8192 kB
(II) RADEON(0): VESA VBE OEM: ATI RADEON III
(II) RADEON(0): VESA VBE OEM Software Rev: 1.0
(II) RADEON(0): VESA VBE OEM Vendor: ATI Technologies Inc.
(II) RADEON(0): VESA VBE OEM Product: P6  
(II) RADEON(0): VESA VBE OEM Product Rev: 01.00
(II) Loading sub module "ddc"
(II) LoadModule: "ddc"
(II) Reloading /usr/X11R6/lib/modules/libddc.a
(II) RADEON(0): VESA VBE DDC supported
(II) RADEON(0): VESA VBE DDC Level none
(II) RADEON(0): VESA VBE DDC transfer in appr. 2 sec.
(II) RADEON(0): VESA VBE DDC read failed

Fatal server error:
xf86MapPciMem: Could not mmap PCI memory
[base=0xd8000000,hostbase=0xd8000000,size=0] (Invalid argument)


When reporting a problem related to a server crash, please send
the full server output, not just the last messages.
This can be found in the log file "/var/log/XFree86.0.log".
Please report problems to xfree86@xfree86.org.



Expected Results:  Please note I just purchased the laptop that uses this
card (Compaq presario 1720us). I have until Friday to return it or I am
stuck with it. If the problem can be fixed good. If it cann't please let me
know as soon as you can. thanks

Additional info:
Comment 1 rehbein 2001-10-31 18:45:46 EST
Created attachment 35921 [details]
XFree86 crash dump
Comment 2 Mike A. Harris 2001-10-31 19:27:23 EST
(--) RADEON(0): VideoRAM: 0 kByte (64-bit DDR SDRAM)

Either the card's video memory is not probing correctly, or
else it is specified incorrectly in the config file.
Attach your XF86Config-4 using the link below.

Does the card work if you specify the RAM in the config file?
If so, then you should be fine.  If not, then the problem will
eventually get fixed in a future release, however I can't guarantee
any ETA of such.  I believe a problem has been fixed WRT Video RAM
detection of newer hardware, in the CVS head.
Comment 3 rehbein 2001-11-01 10:38:35 EST
Created attachment 36021 [details]
XF86Config and XF86Config-4 are attached in one file
Comment 4 rehbein 2001-11-01 11:40:38 EST
I failed to mention that the 7.2 installation was performed in graphic mode. 
The installation program detected the graphics card and worked fine in 
graphical mode. Can you advise what setting I need to select in Xconfigurator 
so at least I can use the unit in VGA mode???? The combinations I try don't 
seem to work.

c
Comment 5 rehbein 2001-11-01 15:32:42 EST
I tried selecting generic VGA and generic VGA monitor with Xconfigurator. When 
I started Xwindows, the screen turned white and that was it.

As a test, I obtained windows XP from a friend and installed it on the laptop. 
The video detection and resolution settings worked fine. According to the 
systems information panel of XP it detected the following information. First of 
all there was no mention in the system configuration of an ati video card. 
Don't know what that means. However, there was one hardware item that may be of 
interest.

intell 82830 processor to agp controller
i/o 2000-2fff
mem d0100000-d01fffff
mem d8000000-ffffffff
mem 000a0000-000bffff
i/o 03b0-3bb
    03c0-3df
mem e0000000-efffffff
Comment 6 Mike McLean 2003-01-02 13:54:56 EST
This bug has been inappropriately marked MODIFIED. Please review the bug life
cycle information at 
http://bugzilla.redhat.com/bugzilla/bug_status.cgi

Changing bug status to ASSIGNED.
Comment 7 Mike A. Harris 2003-01-26 06:01:00 EST
Unfortunately, when you updated the bug report last, you set it to the
MODIFIED state, which is the state a developer moves a bug to when they
have applied a bug fix, and are awaiting the bug reporter to test the
fix.  If a bug remains in MODIFIED state, it is assumed that it has not
been tested yet by the reporter, and as such these bugs never get looked
at again.

This bug is sufficiently old now, that it is probably not present in a
newer release of Red Hat Linux.  Red Hat Linux 7.2 will only receive
security updates as required through the end of its support period.

If this problem recurs in Red Hat Linux 8.0 or a later release if available,
please feel free to reopen the bug report and update the information,
or to open a new bug report if you like.

Reminder: Do not set a bug status to MODIFIED, as MODIFIED more or less
means that the bug is fixed and wont get looked at again by a developer.

Closing as CURRENTRELEASE

Note You need to log in before you can comment on or make changes to this bug.